Skip to main content
`Ctrl`+`K`

# pandas.Index.values

property Index.values

  Return an array representing the data in the Index.

  Warning

  We recommend using `Index.array` or `Index.to_numpy()`, depending on whether you need a reference to the underlying data or a NumPy array.

  Returns:
    array: numpy.ndarray or ExtensionArray

  See also

  `Index.array`

    Reference to the underlying data.

  `Index.to_numpy`

    A NumPy array representing the underlying data.

  Examples

  For `pandas.Index`:

      >>> idx = pd.Index([1, 2, 3])
      >>> idx
      Index([1, 2, 3], dtype='int64')
      >>> idx.values
      array([1, 2, 3])

  For `pandas.IntervalIndex`:

      >>> idx = pd.interval_range(start=0, end=5)
      >>> idx.values
      <IntervalArray>
      [(0, 1], (1, 2], (2, 3], (3, 4], (4, 5]]
      Length: 5, dtype: interval[int64, right]